Bug 107055 - Add helper class CertificateInfo
Summary: Add helper class CertificateInfo
Status: RESOLVED MOVED
Alias: None
Product: poppler
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium enhancement
Assignee: poppler-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-27 17:29 UTC by Chinmoy
Modified: 2018-08-20 21:59 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
certificateinfo class (10.37 KB, patch)
2018-06-27 17:29 UTC, Chinmoy
Details | Splinter Review
Updated patch (14.57 KB, patch)
2018-07-17 18:22 UTC, Chinmoy
Details | Splinter Review
X509CertificateInfo helper class (15.18 KB, patch)
2018-07-17 18:40 UTC, Chinmoy
Details | Splinter Review
certificateinfo class (15.29 KB, patch)
2018-07-20 18:26 UTC, Chinmoy
Details | Splinter Review
certificateinfo class (15.28 KB, patch)
2018-08-14 15:09 UTC, Chinmoy
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chinmoy 2018-06-27 17:29:40 UTC
Created attachment 140369 [details] [review]
certificateinfo class

This class will store details of a digital certificate.
Comment 1 Chinmoy 2018-07-17 18:22:54 UTC
Created attachment 140670 [details] [review]
Updated patch
Comment 2 Chinmoy 2018-07-17 18:40:09 UTC
Created attachment 140671 [details] [review]
X509CertificateInfo helper class

Added missing getter.
Comment 3 Chinmoy 2018-07-20 18:26:59 UTC
Created attachment 140739 [details] [review]
certificateinfo class

Fixed incorrect subject info
Comment 4 Albert Astals Cid 2018-08-09 15:19:08 UTC
So we are ignoring
  SECItemType type;
in SECItem ?

Is that really a good idea?
Comment 5 Albert Astals Cid 2018-08-09 15:36:14 UTC
Also shouldn't CertItem be just a GooString since it's holding a char * and length?
Comment 6 Chinmoy 2018-08-14 15:09:31 UTC
Created attachment 141082 [details] [review]
certificateinfo class

Rebased on master
Comment 7 Albert Astals Cid 2018-08-16 08:35:31 UTC
(In reply to Albert Astals Cid from comment #4)
> So we are ignoring
>   SECItemType type;
> in SECItem ?

Here i meant SECItemToCertItem

> 
> Is that really a good idea?

Hello have you seen my comments?
Comment 8 GitLab Migration User 2018-08-20 21:59:41 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/poppler/poppler/issues/147.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.